WSS support Broken in Latest Version of Brave

Problem: WSS (Secure Websockets) doesn’t work in latest 64-bit version of Brave

Website: Any webpage that uses Websockets without a fallback

Sheilds: The sheilds on/off has no effect - WSS fails with either

Chrome Behavior: WSS works perfectly with the latest version of Chrome → 111.0.5563.65 (Official Build) (64-bit)

Brave version: Version 1.49.120 Chromium: 111.0.5563.64 (Official Build) (64-bit)


History: At one point during the last year, a Brave update in particular (don’t know which one) caused an issue that created a random multi-second delay upon initial connection to a secure Websocket server, but it worked normally after that.

This morning after a Brave update to the latest version occurred, I noticed that WSS was completely broken (with a lightning fast chat server with no WSS protocol fallback). So I tested with the chat with latest versions of the following browsers on windows 10/11 machines…

(1) Chrome - works
(2) Firefox - works
(3) Edge - works
(4) Opera - works

and these browsers on a Linux Ubuntu 22.04 machine…

(1) Firefox - works
(2) GNOME Web - works

Workaround: Use any browser that supports WSS other than Brave when you need WSS

Test case web site breaking in Brave?

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.